package com.ningdatech.carapi.sys.event;

import com.ningdatech.carapi.sys.entity.enumeration.ImportTemplateEnum;
import org.springframework.context.ApplicationEvent;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 * ImportDataEvent - 模版数据导入事件
 * </p>
 *
 * @author WendyYang
 * @since 20:20 2022/11/4
 */
public class ImportDataEvent extends ApplicationEvent {

    private ImportTemplateEnum template;

    public ImportDataEvent(MultipartFile source) {
        super(source);
    }

    public ImportTemplateEnum getTemplate() {
        return template;
    }

    public void setTemplate(ImportTemplateEnum template) {
        this.template = template;
    }

}